Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.image.loader.batik
Class PreloaderSVG

    java.lang.Object
      org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader
          org.apache.fop.image.loader.batik.PreloaderSVG

All Implemented Interfaces:
  org.apache.xmlgraphics.image.loader.spi.ImagePreloader

    public class PreloaderSVG

extends org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader

Image preloader for SVG images.

Field Summary

Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImagePreloader
`DEFAULT_PRIORITY`

Constructor Summary
`PreloaderSVG()`

Method Summary
`static java.lang.String` | `getParserName()` Returns the fully qualified classname of an XML parser for Batik classes that apparently need it (error messages, perhaps)
`org.apache.xmlgraphics.image.loader.ImageInfo` | `preloadImage(java.lang.String uri, javax.xml.transform.Source src, org.apache.xmlgraphics.image.loader.ImageContext context)`

Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader
`getHeader, getPriority`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreloaderSVG

    public PreloaderSVG()

Method Detail

### preloadImage

    public org.apache.xmlgraphics.image.loader.ImageInfo preloadImage(java.lang.String uri,
                                                                      javax.xml.transform.Source src,
                                                                      org.apache.xmlgraphics.image.loader.ImageContext context)
                                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getParserName

    public static java.lang.String getParserName()

  Returns the fully qualified classname of an XML parser for Batik classes that apparently need it (error messages, perhaps)

  Returns:
    an XML parser classname

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.